<?php
//===========================================================================
//                      Crafty Syntax Image gallery (CSIG)  
//                    http://www.craftysyntax.com/CSIG/ 
//                    Copyright (C) 2003-2004 Eric Gerdes  
//===========================================================================
//         $Id: imagelist.php,v 1.0 2004/04/07 03:17:40 csyntax Exp $
// --------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//===========================================================================

//config file
require_once 'config.php';

// settings for libraries paths PEAR/SMARTY/USER ACCESS.
require_once 'libraries.php';

// connect to database.
require_once 'database_connect.php';

// Begin User Access 
require_once 'ua.begin.php';

require("functions.php");


// only the people who have access to this gallery can do this
if(!(checkpermissions("FULL",$projectid,$user_id))){
print "<font color=990000>Access denied...</font>";
exit;
}

// HIDE/SHOW operation :
//-------------------
if( ($myaction == "HIDE") || ($myaction == "SHOW") ){
  if($areyousure == ""){	
    ?>
    <FORM action=imageoperations.php Method=POST>
    <input type=hidden name=myaction value=<?= $myaction ?>>
    <h2>Are you sure you want to <?= $myaction ?> these images?:<br>
    <?
    while (list($key, $val) = each($HTTP_POST_VARS)) {                  
        $array = split("__",$key);
        if($array[0] == "sel"){
          $query = "SELECT * FROM gallery WHERE recno='$array[1]'";
          $data_rs = $db->query($query);	 
          $row = $data_rs->fetchRow(DB_FETCHMODE_ASSOC);
          $thumb = $row[thumb];
          $init1 = substr($thumb,0,1);
          print "<input type=hidden name=hideshow__$array[1] value=yes>";
          print "<img src=userimages/$init1/$thumb >";   
        }
    }
    print "<br><a href=javascript:history.go(-1)>No - do not $myaction them</a><bR>";
    print "<input type=hidden name=projectid value=$projectid>";
    print "<input type=hidden name=top value=$top>";
    print "<input type=submit name=areyousure value=\"YES $myaction THEM\"></form>";
    
  } else {
  // hide the images.
       while (list($key, $val) = each($HTTP_POST_VARS)) {                  
        $array = split("__",$key);
        if($array[0] == "hideshow"){  
           if($myaction == "SHOW"){ $valuesfor = "Y"; } else { $valuesfor = "N"; }
           $query = "UPDATE gallery set approved='$valuesfor' WHERE recno='$array[1]'";
           $db->query($query);           
        }
      }
   print "<font color=009900><bR><b>ALL DONE...<br><a href=imagelist.php?top=$top&html=slide.tpl&current=$current&projectid=$projectid&username=$username>Click here to Get back to images.</a>";    	
  }	
} // END of HIDE.

// move operation :
//-------------------
if($myaction == "move"){
  // where are we moving do we know?
  if($movethem == ""){	
    ?>
    <FORM action=imageoperations.php Method=POST>
    <input type=hidden name=myaction value=move>
    <input type=hidden name=movethem value=yes>
    <h2>Where do you Want to MOVE these images to?:<br>
    <?
    while (list($key, $val) = each($HTTP_POST_VARS)) {                  
        $array = split("__",$key);
        if($array[0] == "sel"){
          $query = "SELECT * FROM gallery WHERE recno='$array[1]'";
          $rs = $db->query($query);	 
          $row = $rs->fetchRow(DB_FETCHMODE_ASSOC);
          $thumb = $row[thumb];
          $init1 = substr($thumb,0,1);
          print "<input type=hidden name=move__$array[1] value=yes>";
          print "<img src=userimages/$init1/$thumb >";   
        }
    }
    print "<br><b>Move above images to the gallery:</b>";
    print "<br> Move to: (the same image can be in multiple galleries):</font><font size=-1><br>";
    showchecks(0);
    print "</font><br>";
    print "<input type=hidden name=projectid value=$projectid>";
    print "<input type=hidden name=top value=$top>";
    print "<input type=submit value=MOVE></form>";
    
  } else {
  // move the images.
       while (list($key, $val) = each($HTTP_POST_VARS)) {                  
        $array = split("__",$key);
        if($array[0] == "move"){  
           $query = "DELETE FROM gallery_feature_xref WHERE galleryid='$array[1]'";
           $db->query($query);
           $query = "SELECT * From gallery_feature_list";
           $rs = $db->query($query);	 
           while($row = $rs->fetchRow(DB_FETCHMODE_ASSOC)){       
             $find_feature = "feature__" . $row[feature_id];
             if($$find_feature == "Y"){
              $query = "INSERT INTO gallery_feature_xref (featureid,galleryid) VALUES ('$row[feature_id]','$array[1]')";
              $db->query($query);           
             } //if
           } //while
        } //if move
      } //while postvars.
   print "<font color=009900><bR><b>ALL DONE...<br><a href=imagelist.php?top=$top&html=slide.tpl&current=$current&projectid=$projectid&username=$username>Click here to Get back to images.</a>";    	
  }	
} // END of move.

// rotate operation :
//-------------------
if($myaction == "rotate"){

} // END of rotate.

	
// delete operation :
//-------------------
if($myaction == "remove"){
  // are they sure they want to do this?
  if($iamsure == ""){	
    ?>
    <FORM action=imageoperations.php Method=POST>
    <input type=hidden name=myaction value=remove>
    <h2>Are you Sure you want to delete the following images?:<br>
    <?
    while (list($key, $val) = each($HTTP_POST_VARS)) {                  
        $array = split("__",$key);
        if($array[0] == "sel"){
         $query = "SELECT * FROM gallery WHERE recno='$array[1]'";
         $rs = $db->query($query);
         $row = $rs->fetchRow(DB_FETCHMODE_ASSOC);	 
         $thumb = $row[thumb];
         $init1 = substr($thumb,0,1);
         print "<input type=hidden name=del__$array[1] value=yes>";
         print "<img src=userimages/$init1/$thumb >";       
        }
    }
    print "<input type=hidden name=projectid value=$projectid>";
    print "<input type=hidden name=top value=$top>";
    ?>
    <a href=javascript:history.go(-1)>NO - do not remove above images..</a><br><br><input type=SUBMIT name=iamsure value=YES><br>
    </FORM>
    <?
  } else {
   // ok they are sure .. remove the images..
       while (list($key, $val) = each($HTTP_POST_VARS)) {                  
        $array = split("__",$key);
        if($array[0] == "del"){
          $query = "SELECT * FROM gallery WHERE recno='$array[1]'";
         $rs = $db->query($query);
         $row = $rs->fetchRow(DB_FETCHMODE_ASSOC);	 	 
          $thumb = $row[thumb];
          $image = $row[image];
          $high_res = $row[high_res];
          $init1 = substr($thumb,0,1);
          print "Removing: $thumb<br>";
          unlink("userimages/$init1/$thumb");
          unlink("userimages/$init1/$image");
          if($high_res != ""){ unlink("userimages/$init1/$high_res"); }
          $query = "DELETE FROM gallery WHERE recno='$array[1]'";
          $db->query($query);
          $query = "DELETE FROM gallery_comments WHERE what='$array[1]'";
          $db->query($query);          	 
          $query = "DELETE FROM gallery_feature_xref WHERE galleryid='$array[1]'";
          $db->query($query); 
          $query = "DELETE FROM gallery_votes WHERE what='$array[1]'";
          $db->query($query);                         
        }
      }	
      print "<font color=009900><bR><b>ALL DONE...<br><a href=imagelist.php?top=$top&html=slide.tpl&current=$current&projectid=$projectid&username=$username>Click here to Get back to images.</a>";
  }
} // END delete function.



?>