<?
//****************************************************************************************/
//  Crafty Syntax Image Gallery (CSIG)  by Eric Gerdes (http://craftysyntax.com )
//======================================================================================
// NOTICE: Do NOT remove the copyright and/or license information from this file. 
//         doing so will automatically terminate your rights to use this program.
// ------------------------------------------------------------------------------------
// ORIGINAL CODE: 
// ---------------------------------------------------------
// Crafty Syntax Image Gallery (CSIG) http://www.craftysyntax.com/CSIG/
// Copyright (C) 2003  Eric Gerdes 
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program in a file named LICENSE.txt .
// if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// ---------------------------------------------------------  
// MODIFICATIONS: 
// ---------------------------------------------------------  
// [ Programmers who change this code should cause the  ]
// [ modified changes here and the date of any change.  ]
//======================================================================================
//****************************************************************************************/
require("libraries/globals.php");
$version = "3.1";

// first check to see if the setup already ran if so do not do this page.
if ($installed == true){
  print "Installation program has already been run.. <a href=index.php>CLICK HERE</a>";
  exit;
}

// next if we are installing the program..
if ($action == "INSTALL"){


$lastchar = substr($txtpath,-1);
  if($lastchar != "/"){ $txtpath .= "/"; }
$lastchar = substr($rootpath,-1);  
  if($lastchar != "/"){ $rootpath .= "/"; }
$lastchar = substr($pathtoproccess,-1);  
  if($lastchar != "/"){ $pathtoproccess .= "/"; }


 // check for errors.
 if ($password == ""){  
   $errors .= "<li>You did not enter in a password."; 
 }
 if ($password != $password2){  
   $errors .= "<li>The two passwords you entered do not equal eachother .. you might of mistyped it password the second time . please retype the passwords you entered in again.";
 }
 $password = ereg_replace("[^A-Za-z0-9]", "", $password);
 if ($password != $password2){  
   $errors .= "<li>The password you entered contained invalid characters. Please only use letters and numbers ";
 }
 if ($dbtype == "txt-db-api.php"){
   $fp3 = fopen ("$txtpath/touch.txt", "w+");	
   if(!$fp3){
     $errors .= "<li>Can not Write to the txt directory <b>$txtpath</b> please make sure that the permissions on that directory is chmod 777"; 
   }
 }

 if ($dbtype == "mysql"){
   if ($database == ""){ $errors .= "<li>You did not enter in a Mysql database name "; }
   if ($datausername == ""){ $errors .= "<li>You did not enter in a Mysql Username name "; }
   if ($mypassword == ""){ $errors .= "<li>You did not enter in a Mysql password name "; }         
   if($errors == ""){
     $conn = mysql_connect($server,$datausername,$mypassword);		
     if(!$conn) {
	  $errors .= "<li>Connection to the database failed. You may have the wrong database username/password "; 
     } 
     if(!mysql_select_db($database,$conn)) {
		$errors .= "<li>Database select failed. You may have the wrong database "; 
      }
   }
 }

 if ($rootpath == ""){
   $errors .= "<li>You did not enter in the full path to the gallery.";
  } else {	
   $fp3 = fopen ("$rootpath/userimages/touch.txt", "w+");
   if(!$fp3){
     $errors .= "<li>Full Path to Gallery is invalid.. or permissions is not right. ";
   } else {
     $new_include_dir = ini_get('include_path') . ":" . $rootpath . "libraries/";
     ini_set('include_path', $new_include_dir);	
   }
  }

  if ($email == ""){ $errors .= "<li>You did not enter in a e-mail address. This is important for if you ever loose your password. "; }

  //ImageMagick
  if ( $Processor == "ImageMagick"){
    $tryone = file_exists("$pathtoproccess/utilities/convert");
    $fullpathtoit = "$pathtoproccess/utilities/";
    if (!$tryone){
      $tryone = file_exists("$pathtoproccess/convert");
      $fullpathtoit = "$pathtoproccess/";
    if(!$tryone){
      $errors .= "<li>Can not locate ImageMagick convert program.. ";
      $errors .= "The program is looking for it at the full path of <b>$pathtoproccess</b> or <b>$pathtoproccess/utilities/</b>";
      $errors .= "Make sure that the path does not contain a ending slash.. If your server will let you you might ";
      $errors .= "be able to run a locate to try to find the path. IF YOU DO NOT HAVE this program you can download it or try NetPBM ";
    } else {
     $pathtoproccess = "$pathtoproccess/utilities/";
    }
   }
}

//netpbm
if ( $Processor == "NetPBM"){
  $tryone = file_exists("$pathtoproccess/pnmscale");
  $fullpathtoit = "$pathtoproccess" . "/";  
  if(!$tryone){
      $errors .= "<li>Can not locate netpbm pnmscale program.. ";
      $errors .= "The program is looking for it at the full path of <b>$pathtoproccess</b>";
      $errors .= "Make sure that the path does not contain a ending slash.. If your server will let you you might ";
      $errors .= "be able to run a locate to try to find the path. IF YOU DO NOT HAVE this program you can download the binaries at";
      $errors .= "<a href=http://sourceforge.net/projects/csyntax/ target=_blank>http://sourceforge.net/projects/csyntax/</a> ";
    } else {
     $pathtoproccess = "$pathtoproccess";
    }
   require_once 'libraries/System/Command.php';
   require_once 'libraries/Image/Transform.php';
   #resize the image to 50 pixels hight.
   // full path to the image proccessor.
   define('IMAGE_TRANSFORM_LIB_PATH', $fullpathtoit);
   $im = Image_Transform::factory('NetPBM');
   $im->load("test.jpg");
   $im->scaleByY(50);
   $im->save("userimages/test2.jpg");
   $info = stat("userimages/test2.jpg");   
   if($info[7] == 0){ 
      $errors .= "<li>Failed to Thumbnail the test JPG image <b>test.jpg</b> using NetPBM.. <ul><li>Check to make sure that <a href=test.jpg>test.jpg</a> Exists<li>Check the path to Netpbm<li> AND that the permissions of the NetPBM binaries are set to chmod 755 </ul>";
   }
}

if($errors != ""){
print "<h2>There was a few problems with your setup:</h2>";
print $errors;
exit;	
}

if ($errors == ""){

// setup the config file..
$fcontents = implode ('', file ('config.php'));

$fcontents = ereg_replace("installed=false","installed=\"true\" ",$fcontents);
$fcontents = ereg_replace("INPUT-DBTYPE","$dbtype",$fcontents);
$fcontents = ereg_replace("INPUT-SERVER","$server",$fcontents);
$fcontents = ereg_replace("INPUT-DATABASE","$database",$fcontents);
$fcontents = ereg_replace("INPUT-DATAUSERNAME","$datausername",$fcontents);
$fcontents = ereg_replace("INPUT-PASSWORD",stripslashes($mypassword),$fcontents);
$fcontents = ereg_replace("INPUT-DBPATH",stripslashes($dbpath),$fcontents);
$fcontents = ereg_replace("INPUT-TXTPATH",stripslashes($txtpath),$fcontents);
$fcontents = ereg_replace("INPUT-ROOTPATH",stripslashes($rootpath),$fcontents);
$fcontents = ereg_replace("INPUT-DBPATH",stripslashes($dbpath),$fcontents);


$lastchar = substr($rootpath,-1);  
  if($lastchar != "/"){ $rootpath .= "/"; }

$insert_query = "INSERT INTO gallery_config (recno,mypass,style,lastaccess,timeout,site_title,site_logo,color,Processor,imagemagic,rootpath,httpd_dirpath,logfile,maxheight,logusers,requirenamenow,loggedin,logins,version,adminemail,allowgallery,subcat,changable_color,changable_navigation) values ('1', '$password', 'framed_mid_plain', '2147483647', '2147483647', '$site_title', 'yourlogo.gif', '$colorchoice', '$Processor', '$fullpathtoit', '$rootpath', '$httpd_dirpath', 'people.log', '400', '0', '$namepage','Y','0','3.1','$email','$allowgallery','N','Y','Y')";

$insert_everyone ="INSERT INTO gallery_users (recno,username,password,lastin,perpage,style,fixedstyle,colorchoice,visits,loggedin,emailadd,realname,identity,sortby,template) VALUES (1, 'guest_user', 'nothing', 20021123121933, 15, 'framed_mid_plain', 'Y', 'green', 0, 'N', '','','','date','2')";
$insert_admin ="INSERT INTO gallery_users (recno,username,password,lastin,perpage,style,fixedstyle,colorchoice,visits,loggedin,emailadd,realname,identity,sortby,template) VALUES (2, 'admin', '$password', 20021123121933, 15, 'framed_mid_plain', 'Y', 'green', 0, 'N', '$email','','','date','2')";

$insert_perm1 = "INSERT INTO `gallery_access` (`recno`, `userid`, `galleryid`, `permissions`) VALUES (1, 2, 0, 'FULL');";
$insert_perm2 = "INSERT INTO `gallery_access` (`recno`, `userid`, `galleryid`, `permissions`) VALUES (2, 1, 2, 'READ');";

$insert_templates = "INSERT INTO `gallery_templates` VALUES (2, 'framed_mid_plain', 'Frameset Images in Middle', 'Y', 5, '')";
$insert_templates2 = "INSERT INTO `gallery_templates` ( `recno` , `foldername` , `templatename` , `status` , `perrow` , `targetval` ) VALUES ('3', 'framed_left_plain', 'Frameset Images On Left', 'Y', '1', 'main')";

$insert_color1 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'imagecell', 'templates/imagecell_bracket.tpl', '')";
$insert_color2 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'imagecell', 'templates/imagecell_photo.tpl', '')";
$insert_color3 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'nextimage', 'templates/images/next_b3.gif', '')";
$insert_color4 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'playimage', 'templates/images/play_b3.gif', '')";
$insert_color5 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'toptextcolor', '#FFFFCC', '')";
$insert_color6 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'imagecell', 'templates/imagecell_trans.tpl', '')";
$insert_color7 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'backimage', 'templates/images/last_b3.gif', '')";
$insert_color8 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'framebgcolor', '#A5B2BB', '')";
$insert_color9 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'slidesbgcolor', '#A5BBB9', '')";
$insert_color10 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'slidesbackground', 'templates/images/kodak_bl.gif', '')";
$insert_color11 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'topbgcolor', '#637683', '')";
$insert_color12 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'optionsbgcolor', '#B2BBA5', '')";
$insert_color13 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'optionsbgcolor', '#B2BBA5', '')";
$insert_color14 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'backimage', 'templates/images/last_b3.gif', '')";
$insert_color15 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'topbgcolor', '#637683', '')";
$insert_color16 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'framebgcolor', '#A5B2BB', '')";
$insert_color17 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'slidesbgcolor', '#A5BBB9', '')";
$insert_color18 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'toptextcolor', '#FFFFCC', '')";
$insert_color19 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'slidesbackground', 'images/blank.gif', '')";
$insert_color20 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'stopimage', 'templates/images/stop_b3.gif', '')";
$insert_color21 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'playimage', 'templates/images/play_b3.gif', '')";
$insert_color22 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-photo', 'stopimage', 'templates/images/stop_b3.gif', '')";
$insert_color23 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'blue-film', 'nextimage', 'templates/images/next_b3.gif', '')";
$insert_color24 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'stopimage', 'templates/images/stop_bl.gif', '')";
$insert_color25 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'topbgcolor', '#60806F', '')";
$insert_color26 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'optionsbgcolor', '#BAC4B1', '')";
$insert_color27 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'slidesbgcolor', '#BAC4B1', '')";
$insert_color28 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'slidesbackground', 'templates/images/kodak_b5.gif', '')";
$insert_color29 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'framebgcolor', '#ADB9A2', '')";
$insert_color30 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'toptextcolor', '#FFFFCC', '')";
$insert_color31 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'backimage', 'templates/images/last_bl.gif', '')";
$insert_color32 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'playimage', 'templates/images/play_bl.gif', '')";
$insert_color33 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'imagecell', 'templates/imagecell_trans.tpl', '')";
$insert_color34 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-film', 'nextimage', 'templates/images/next_bl.gif', '')";
$insert_color35 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'nextimage', 'templates/images/next_bl.gif', '')";
$insert_color36 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'playimage', 'templates/images/play_bl.gif', '')";
$insert_color37 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'toptextcolor', '#FFFFCC', '')";
$insert_color38 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'backimage', 'templates/images/last_bl.gif', '')";
$insert_color39 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'framebgcolor', '#ADB9A2', '')";
$insert_color40 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'slidesbgcolor', '#BAC4B1', '')";
$insert_color41 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'slidesbackground', 'images/blank.gif', '')";
$insert_color42 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'topbgcolor', '#60806F', '')";
$insert_color43 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'optionsbgcolor', '#BAC4B1', '')";
$insert_color44 = "INSERT INTO `gallery_colorscheme` (`id`, `colorchoice`, `mykey`, `myval`, `typeof`) VALUES (0, 'green-bracket', 'stopimage', 'templates/images/stop_bl.gif', '')";


$insert_example = "INSERT INTO `gallery_feature_list` ( `feature_id` , `val` , `ordernum` , `views` , `comments` , `allowcomments` , `allowratings` , `allowfav` , `parentid` , `description` , `lastchanged` ) values ('2', 'example', '1', '0', '0', 'Y', 'Y', 'N', '0', 'example Gallery', '0000-00-00')";

// update the config file.
if($manualinstall != "YES"){
  $fp = fopen ("config.php", "w+");
  fwrite($fp,$fcontents);
  fclose($fp);
} else {
  print "<b>config.php:</b> Select all of the code below and then copy and paste it over your existing config.php file on the server";
  print "<table bgcolor=DDDDDD><tr><td><pre>";
  print htmlspecialchars($fcontents);
  print "</pre></td></tr></table>";
}

if ($installationtype == "newinstall"){	
     // build the database.
     if ($dbtype == "txt-db-api.php"){
     mkdir ("$txtpath/csig", 0777);
     
     $fp = fopen ("$txtpath/csig/gallery_config.txt", "w+");
     $headerfields = "recno#mypass#style#lastaccess#timeout#site_title#site_logo#color#Processor#imagemagic#rootpath#httpd_dirpath#logfile#maxheight#logusers#requirenamenow#loggedin#logins#version#adminemail#allowgallery#subcat#changable_color#changable_navigation#membernum#\n";
     $headerfields .= "inc#str#str#int#int#str#str#str#str#str#str#str#str#int#int#str#str#int#int#str#str#str#str#int#\n";
     $headerfields .= "0#str#str#0#0#str#str#str#str#str#str#str#str#0#0#str#str#0#0#str#str#str#str#1#";
     fwrite($fp,"$headerfields");
     fclose($fp);
     
     $fp = fopen ("$txtpath/csig/gallery.txt", "w+");
     $headerfields = "recno#image#thumb#projectid#ordernum#date#width#height#description#high_res#approved#imageviews#rating#owner_recno#feature1#\n";
     $headerfields .= "inc#str#str#int#int#int#str#str#str#str#str#int#int#int#str#";
     $headerfields .= "0#str#str#0#0#0#str#str#str#str#str#0#0#0#str#";
     fwrite($fp,"$headerfields");
     fclose($fp);
     
     $fp = fopen ("$txtpath/csig/gallery_comments.txt", "w+");
     $headerfields = "recno#what#comment#who#\n";
     $headerfields .= "inc#int#str#str#\n";
     $headerfields .= "0#0#str#str#";
     fwrite($fp,"$headerfields");
     fclose($fp);
     
     $fp = fopen ("$txtpath/csig/gallery_fav.txt", "w+");
     $headerfields = "fav_recno#userid#galleryid#inon#\n";
     $headerfields .= "inc#int#int#int#\n";
     $headerfields .= "0#0#0#0#";
     fwrite($fp,"$headerfields");
     fclose($fp);
     
     $fp = fopen ("$txtpath/csig/gallery_access.txt", "w+");
     $headerfields = "recno#userid#galleryid#permissions#\n";
     $headerfields .= "inc#int#int#str#\n";
     $headerfields .= "0#0#0#str#";
     fwrite($fp,"$headerfields");
     fclose($fp);
     
     $fp = fopen ("$txtpath/csig/gallery_votes.txt", "w+");
     $headerfields = "recno#what#mycount#total#\n";
     $headerfields .= "inc#int#int#int#\n";
     $headerfields .= "0#0#0#0#";
     fwrite($fp,"$headerfields");
     fclose($fp);
     
     $fp = fopen ("$txtpath/csig/gallery_votes_raw.txt", "w+");
     $headerfields = "recno#who#what#whendone#\n";
     $headerfields .= "inc#int#int#int#\n";
     $headerfields .= "0#0#0#0#";
     fwrite($fp,"$headerfields");
     fclose($fp);
          
     $fp = fopen ("$txtpath/csig/gallery_feature_list.txt", "w+");
     $headerfields = "feature_id#val#ordernum#views#comments#allowcomments#allowratings#parentid#\n";
     $headerfields .= "inc#str#int#int#int#str#str#str#\n";
     $headerfields .= "0#str#0#0#0#str#str#str#";
     fwrite($fp,"$headerfields");
     fclose($fp);     
     
     $fp = fopen ("$txtpath/csig/gallery_users.txt", "w+");
     $headerfields = "recno#username#password#lastin#perpage#style#fixedstyle#colorchoice#visits#loggedin#emailadd#realname#sortby#identity#\n";
     $headerfields .= "inc#str#str#int#int#str#str#str#int#str#str#str#str#str#\n";
     $headerfields .= "0#guest_user##2#15#framed_mid_bracket#N#green#0#N#na#Everyone#date#str#";
     fwrite($fp,"$headerfields");
     fclose($fp);

     $fp = fopen ("$txtpath/csig/gallery_visit.txt", "w+");
     $headerfields = "recno#whenin#username#whatseen#whoare#wherefrom#\n";
     $headerfields .= "inc#int#str#int#int#str#\n";
     $headerfields .= "0#0#str#0#0#str#";
     fwrite($fp,"$headerfields");
     fclose($fp);


require "txt-db-api/txt-db-api.php";
$mydatabase = new Database("csig");	
$mydatabase->insert($insert_query);
$mydatabase->insert($insert_everyone);
$mydatabase->insert($insert_admin);
$mydatabase->insert($insert_perm1);
$mydatabase->insert($insert_perm2);
     }
     

if ($dbtype == "mysql"){
$sql = "DROP TABLE IF EXISTS gallery_config";
mysql_query($sql,$conn);  
     $sql = 
     "CREATE TABLE `gallery_config` (
  `recno` int(10) NOT NULL auto_increment,
  `mypass` varchar(60) NOT NULL default '',
  `style` varchar(60) NOT NULL default '',
  `lastaccess` int(14) NOT NULL default '0',
  `timeout` int(14) NOT NULL default '0',
  `site_title` varchar(40) NOT NULL default '',
  `site_logo` varchar(70) NOT NULL default '',
  `color` varchar(30) NOT NULL default '',
  `Processor` varchar(255) NOT NULL default '',
  `imagemagic` varchar(255) NOT NULL default '',
  `rootpath` varchar(255) NOT NULL default '',
  `httpd_dirpath` varchar(150) NOT NULL default '',
  `logfile` varchar(255) NOT NULL default '',
  `maxheight` int(4) NOT NULL default '0',
  `logusers` int(4) NOT NULL default '0',
  `requirenamenow` char(3) NOT NULL default '',
  `loggedin` char(3) NOT NULL default '',
  `logins` int(14) NOT NULL default '0',
  `version` varchar(55) NOT NULL default '',
  `adminemail` varchar(95) NOT NULL default '',
  `allowgallery` char(3) NOT NULL default '',
  `subcat` char(3) NOT NULL default '',
  `changable_color` char(3) NOT NULL default '',
  `changable_navigation` char(3) NOT NULL default '',
  `membernum` int(10) NOT NULL default '0',
  `allphotos` char(1) NOT NULL default 'Y',
  `def_template` int(10) NOT NULL default '0',
  PRIMARY KEY  (`recno`)
)
     ";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}     		
      		$results = mysql_query($insert_query,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."$insert_query<P>";
     			$wentwrong = true;
     		}		

       $sql = "DROP TABLE IF EXISTS gallery_colorscheme";
       mysql_query($sql,$conn);       
       $sql  =  
     "CREATE TABLE `gallery_colorscheme` (
  `id` int(10) NOT NULL default '0',
  `colorchoice` varchar(30) NOT NULL default '',
  `mykey` varchar(60) NOT NULL default '',
  `myval` varchar(60) NOT NULL default '',
  `typeof` varchar(30) NOT NULL default '',
  KEY `colorchoice` (`colorchoice`)
)
     ";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}

       $sql = "DROP TABLE IF EXISTS gallery_sessions";
       mysql_query($sql,$conn);       
       $sql  =  
     "CREATE TABLE `gallery_sessions` (
  `id` int(11) NOT NULL auto_increment,
  `sessionid` varchar(60) NOT NULL default '',
  `user_id` int(10) NOT NULL default '0',
  `accessexpire` bigint(14) NOT NULL default '0',
  `utoken` varchar(50) NOT NULL default '',
  `referer` varchar(255) NOT NULL default '',
  `lastaccess` bigint(14) NOT NULL default '0',    
  `ipaddress` varchar(255) NOT NULL default '',
  `useragent` varchar(255) NOT NULL default '',    
  PRIMARY KEY  (`id`)
)
     ";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}

       $sql = "DROP TABLE IF EXISTS gallery_templates";
       mysql_query($sql,$conn);       
       $sql  =  
     "CREATE TABLE `gallery_templates` (
  `recno` int(10) NOT NULL auto_increment,
  `foldername` varchar(60) NOT NULL default '',
  `templatename` varchar(60) NOT NULL default '',
  `status` char(3) NOT NULL default '',
  `perrow` int(10) NOT NULL default '0',
  `targetval` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`recno`)
)
     ";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}
     		
       $sql = "DROP TABLE IF EXISTS gallery";
       mysql_query($sql,$conn);       
       $sql  =  
     "CREATE TABLE `gallery` (
  `recno` int(10) NOT NULL auto_increment,
  `image` varchar(60) NOT NULL default '',
  `thumb` varchar(60) NOT NULL default '',
  `ordernum` int(3) NOT NULL default '0',
  `date` int(8) NOT NULL default '0',
  `description` text,
  `high_res` varchar(60) NOT NULL default '',
  `approved` char(3) NOT NULL default '',
  `imageviews` int(10) NOT NULL default '0',
  `rating` float(4,2) NOT NULL default '0.00',
  `owner_recno` int(10) NOT NULL default '0',
  `feature1` char(1) NOT NULL default '0',
  `movieimg` char(1) NOT NULL default 'I',
  `originalfilename` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`recno`)
)
     ";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}
       $sql = "DROP TABLE IF EXISTS gallery_fav";
       mysql_query($sql,$conn);  
       $sql  =  "		
     CREATE TABLE `gallery_fav` (
  `fav_recno` int(10) NOT NULL auto_increment,
  `userid` int(10) NOT NULL default '0',
  `galleryid` int(10) NOT NULL default '0',
  `inon` bigint(14) NOT NULL default '0',
  PRIMARY KEY  (`fav_recno`)
)";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}
       $sql = "DROP TABLE IF EXISTS gallery_feature_xref";
       mysql_query($sql,$conn);       
     $sql = "CREATE TABLE `gallery_feature_xref` (
      `featureid` INT NOT NULL, 
      `galleryid` INT NOT NULL, 
      index (`featureid`, `galleryid`) 
     )"; 
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}
       $sql = "DROP TABLE IF EXISTS gallery_comments";
       mysql_query($sql,$conn);            
       $sql  =  "
     CREATE TABLE gallery_comments (
       recno int(10) NOT NULL auto_increment,
       what int(10) NOT NULL default '0',
       comment text NOT NULL,
       who varchar(60) NOT NULL default '',
       PRIMARY KEY  (recno)
     )";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}
       $sql = "DROP TABLE IF EXISTS gallery_feature_list";
       mysql_query($sql,$conn);     
     	  $sql  =  "	
     CREATE TABLE `gallery_feature_list` (
  `feature_id` int(11) NOT NULL auto_increment,
  `val` varchar(60) NOT NULL default '',
  `ordernum` int(10) NOT NULL default '0',
  `views` int(10) NOT NULL default '0',
  `comments` int(10) NOT NULL default '0',
  `allowcomments` char(1) NOT NULL default 'Y',
  `allowratings` char(1) NOT NULL default 'Y',
  `allowfav` char(1) NOT NULL default 'N',
  `parentid` int(11) NOT NULL default '0',
  `description` text NOT NULL,
  `lastchanged` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`feature_id`)
)";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}	
     		      			
     $sql = "DROP TABLE IF EXISTS gallery_access";
     mysql_query($sql,$conn);    
     $sql  =  "
     CREATE TABLE `gallery_access` (
  `recno` int(10) NOT NULL auto_increment,
  `userid` int(10) NOT NULL default '0',
  `galleryid` int(10) NOT NULL default '0',
  `permissions` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`recno`)
)";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}	
     $sql = "DROP TABLE IF EXISTS gallery_votes";
     mysql_query($sql,$conn);      
     $sql  =  "	
     CREATE TABLE gallery_votes (
       recno int(10) NOT NULL auto_increment,
       what int(10) NOT NULL default '0',
       mycount int(10) NOT NULL default '0',
       total int(10) NOT NULL default '0',
       PRIMARY KEY  (recno)
     )";
     
     $results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}
     $sql = "DROP TABLE IF EXISTS gallery_votes_raw";
     mysql_query($sql,$conn);       			
     $sql  =  "
     CREATE TABLE gallery_votes_raw (
       recno int(10) NOT NULL default '0',
       who text NOT NULL,
       what int(10) NOT NULL default '0',
       whendone int(10) NOT NULL default '0'
     )";
     
     $results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}	
     $sql = "DROP TABLE IF EXISTS gallery_visit";
     mysql_query($sql,$conn);  
$sql = "
CREATE TABLE `gallery_visit` (
  `recno` int(10) NOT NULL auto_increment,
  `whenin` bigint(14) NOT NULL default '0',
  `username` varchar(60) NOT NULL default '',
  `whoare` varchar(60) NOT NULL default '',
  `wherefrom` varchar(150) NOT NULL default '',
  `galleryid` int(10) NOT NULL default '0',
  `imageid` int(10) NOT NULL default '0',
  `notes` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`recno`)
)";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}
 
     $sql = "DROP TABLE IF EXISTS gallery_users";
     mysql_query($sql,$conn);  
     $sql  =  "	
     CREATE TABLE `gallery_users` (
  `recno` int(11) NOT NULL auto_increment,
  `username` varchar(100) NOT NULL default '',
  `password` varchar(100) NOT NULL default '',
  `lastin` bigint(14) NOT NULL default '0',
  `perpage` int(3) NOT NULL default '5',
  `style` varchar(60) NOT NULL default '',
  `fixedstyle` char(1) NOT NULL default 'N',
  `colorchoice` varchar(60) NOT NULL default '',
  `visits` int(3) NOT NULL default '0',
  `loggedin` char(1) NOT NULL default 'N',
  `emailadd` varchar(60) NOT NULL default '',
  `realname` varchar(60) NOT NULL default '',
  `identity` varchar(60) NOT NULL default '',
  `sortby` varchar(30) NOT NULL default '',
  `template` int(10) NOT NULL default '0',
  PRIMARY KEY  (`recno`)
)";
      		$results = mysql_query($sql,$conn);
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}		
      		$results = mysql_query($insert_everyone,$conn);
      		$results = mysql_query($insert_admin,$conn);
      		$results = mysql_query($insert_perm1,$conn);
      		$results = mysql_query($insert_perm2,$conn);
      		$results = mysql_query($insert_templates,$conn);
      		$results = mysql_query($insert_example,$conn);
      		
      		for($i=1;$i<45;$i++){
      		  $insert = "insert_color" . $i;
      		  $results = mysql_query($$insert,$conn);
      		}
     		if(!$results) 
     		{
     			echo "<H2>Query went bad!</H2>\n";
     			echo mysql_errno().":  ".mysql_error()."<P>";
     			$wentwrong = true;
     		}
     }
     
     // make the userimage directories
     for($i=0;$i<10;$i++){
     mkdir ("userimages/$i", 0777);
     }
     mkdir ("userimages/a", 0777);mkdir ("userimages/n", 0777);
     mkdir ("userimages/b", 0777);mkdir ("userimages/o", 0777);
     mkdir ("userimages/c", 0777);mkdir ("userimages/p", 0777);
     mkdir ("userimages/d", 0777);mkdir ("userimages/q", 0777);
     mkdir ("userimages/e", 0777);mkdir ("userimages/r", 0777);
     mkdir ("userimages/f", 0777);mkdir ("userimages/s", 0777);
     mkdir ("userimages/g", 0777);mkdir ("userimages/t", 0777);
     mkdir ("userimages/h", 0777);mkdir ("userimages/u", 0777);
     mkdir ("userimages/i", 0777);mkdir ("userimages/v", 0777);
     mkdir ("userimages/j", 0777);mkdir ("userimages/w", 0777);
     mkdir ("userimages/k", 0777);mkdir ("userimages/x", 0777);
     mkdir ("userimages/l", 0777);mkdir ("userimages/y", 0777);
     mkdir ("userimages/m", 0777);mkdir ("userimages/z", 0777);
 } // END of new installation.

if($installationtype == "upgrade30"){
  $sql = "UPDATE gallery_config set version='3.1'";
  mysql_query($sql,$conn);
  $sql = "ALTER TABLE `gallery_sessions` ADD `referer` VARCHAR( 255 ) NOT NULL;";
  mysql_query($sql,$conn);
  $sql = "ALTER TABLE `gallery_sessions` ADD `lastaccess` BIGINT( 14 ) NOT NULL;";
  mysql_query($sql,$conn);
  $sql = "ALTER TABLE `gallery_sessions` ADD `ipaddress` VARCHAR( 255 ) NOT NULL;";
  mysql_query($sql,$conn);
  $sql = "ALTER TABLE `gallery_sessions` ADD `useragent` VARCHAR( 255 ) NOT NULL;";
  mysql_query($sql,$conn);
  
  
}

?>
<center>
<table width=400><tr><td bgcolor=FFFFCC> <b><font size=+3>INSTALLATION IS DONE!!</font></td></tr>
<tr><td bgcolor=FFFFEE>You will now need to log into the admin of this gallery and 
start adding images. To do this click the link below. Remember the admin is located 
in the <b>admin</b> directory to get to it in the furture just go right to that
directory. Here is the access information <b><font color=990000>Right it down!</font></b>
<br><br><center>
<b>username:</b>Admin <br>
<b>password:</b><?= $password2 ?><br>
 </center>
<br>
<br>
<hr>
<a href=http://www.craftysyntax.com/CSIG/registration.php?v=3.1&e=<?= $email ?>&db=<?= $dbtype ?>><font size=+3>CLICK HERE TO BEGIN REGISTRATION</font></a>
<br><br>
<a href=index.php>Skip REGISTRATION</a><br><br>
<SCRIPT>
function gothere(){
  // This opens a window to the  News page. It sends in the query string the version 
  // being installed, type of database used (mysql or text based) and referer. This basic
  // info is just to get an idea of how many successful installations of what versions and 
  // what type of databases for the program are made.    
  url = 'http://craftysyntax.com/CSIG/updates.php?v=3.1&d=<?= $dbtype ?>&referer=' + window.location;
  window.open(url, 's872', 'width=590,height=350,menubar=no,scrollbars=1,resizable=1');
}
setTimeout('gothere();',200);
</SCRIPT>

<?
}
exit;
} ?>

<script>
function tellme(){
 openwindow('http://craftysyntax.com/csig/bugs.php?from=installation','image460','scrollbars=yes,resizable=yes,width=500,height=400');
}
function figureitout(){
 url = 'http://craftysyntax.com/csig/previewimage.php?style=' + document.erics.style.value + '&nav=' + document.erics.colorchoice.value 
 openwindow(url,'image460','scrollbars=yes,resizable=yes,width=460,height=287');
}

function openwindow(theURL,winName,features) {//v1.0 
win2 = window.open(theURL,winName,features); 
window.win2.focus(); 
}
 
</script>
<?
if ($using_save_mode == 1){
  print "<font color=990000> WARNING YOU ARE RUNNING PHP IN SAFE MODE. TXT-DB-API might not work</font>";	
}
?>
<h2>Crafty Syntax PHP Gallery Installation:</h2>
problems on this page?!? <a href=http://www.craftysyntax.com/support/index.php?c=1 TARGET=_blank>CLICK HERE TO GO TO SUPPORT PAGE</a>
<hr>
<?
if ($errors != ""){
  print "<table width=600><tr><td><font color=990000>ERRORS: $errors</font></td></tr></table>";	
}

// Check to see if we can write to the config file.
if($manualinstall != "YES"){
$fp = fopen ("config.php", "r+");
} else {
$fp = True;	
}

$fp2 = fopen ("userimages/touch.txt", "w+");

$fp3 = fopen ("templates_c/touch.txt", "w+");


if ( (!$fp) || (!$fp2) || (!$fp3) ){
?>
<table width=500 bgcolor=FFFFEE><tr><td>

<? if (!$fp){ ?>
<font color=990000 size=+2><b>Can not open <font color=000099>config.php</font> file for writing:</b></font><br>
<? } ?>
<? if (!$fp2){ ?>
<font color=990000 size=+2><b>Can not open <font color=000099>userimages</font> folder for writing:</b></font><br>
<? } ?>
<? if (!$fp3){ ?>
<font color=990000 size=+2><b>Can not open <font color=000099>templates_c</font> folder for writing:</b></font><br>
<? } ?>
<hr>
<font color=007700 size=+1><b>HOW TO FIX THIS:</b></font><br><br>
In order to configure the gallery using this web wizard,
 the web server needs to be able to read and write to the
 file named <b><i>config.php</i></b> and the directory
 named <b><i>userimages</i></b>. Directions on doing  this follows:
<br>
Installing and configuring Crafty Syntax Image Gallery is done via a set of web pages.
To enable these web pages you need to log onto your web server using
telnet or (preferably) ssh, go to the gallery directory and at the
prompt (which usually ends in '%' or '$') type:
<br><br>
chmod 777 config.php<br>
chmod 777 userimages<br>
chmod 777 templates_c<br>
<br><br>
if you can not ssh or telent into your website you can to the same task by
FTP: 
<br><br>	
Using WS_FTP this would be right hand clicking on the 
file config.php , selecting chmod, and then giving all
permissions to that file:
<img src=directions.gif>
<br>
<font color=000077 size=+2>REFRESH THIS PAGE AFTER YOU HAVE FIXED THE PERMISSIONS</font>
<br>
<h2><b>Manual config change option:</b></h2>
if you do not have access to, or can not change the permissions of config.php you 
also have the Option to update config.php yourself. 
<a href=setup.php?manualinstall=YES>CLICK HERE TO RUN INSTALLAION BY MANUALLY CHANGING config.php</a><br>

</td></tr></table>

<?
exit;
}

?>
<FORM action=setup.php method=post name=erics>
<table width=600 bgcolor=FFFFEE>
<?

if ($site_title == ""){
  $site_title = "My Photo Gallery";
}

?>
<input type=hidden name=installationtype value=newinstall>
<tr><td bgcolor=DDDDDD colspan=2><b>INSTALLATION OPTIONS:</b></td></tr>
<tr><td bgcolor=EEEECC colspan=2>
if you installed CSIG version 3.0 or higher in the past 
and are upgrading you can select to upgrade your current database 
and keep all your images in your current database. 
(Sorry no upgrade options have been written yet for versions before
3.0). The version of your gallery is in your database under 
gallery_config and this
setup program will try to figure it out for you upon upgrade.<br>
<font color=990000><b>There is no upgrade options for galleries
below version 3.0</b></font>
</td></tr>
<tr><td>Installation:</td>
<td><select name=installationtype>
<option value=newinstall>NEW INSTALLATION</option>
<option value=upgrade30 >UPGRADE from version 3.0</option>
</select></td></tr>
<tr><td bgcolor=DDDDDD colspan=2><b>Title of your Gallery:</b></td></tr>
<tr><td bgcolor=EEEECC colspan=2>This is the Title of your gallery and will be shown as the title tag.</td></tr>
<tr><td>Title of your Gallery:</td><td><input type=text name=site_title size=40 value="<?= $site_title ?>"></td></tr>

<tr><td bgcolor=DDDDDD colspan=2><b>Administration e-mail:</b></td></tr>
<tr><td bgcolor=EEEECC colspan=2>This is the e-mail address for the administrator of this book. e-mails on access, lost password, etc.. </td></tr>
<tr><td>email:</td><td><input type=text name=email size=30 value="<?= $email ?>"></td></tr>

<tr><td bgcolor=DDDDDD colspan=2><b>Administration Password:</b></td></tr>
<tr><td bgcolor=EEEECC colspan=2>This is the Password that you choose to allow a user to enter the Administration. 
The password must only contain number and letters. no spaces or !@#$ characters. </td></tr>
<tr><td>password:</td><td><input type=password name=password size=10 value="<?= $password ?>"></td></tr>
<tr><td>password (again):</td><td><input type=password name=password2 size=10 value="<?= $password2 ?>"></td></tr>

<tr><td bgcolor=DDDDDD colspan=2><b>Full Path to Gallery:</b></td></tr>
<tr><td bgcolor=EEEECC colspan=2>This is the Full Path to Gallery not to be confused with the httpd path. 
This should be a file path like /www/username/public_html/phpgallery</td></tr>
<tr><td>Full Path to Gallery:</td><td><input type=text name=rootpath size=50 value="<? if ($rootpath == ""){ print getcwd(); } else { print stripslashes($rootpath); } ?>"></td></tr>
<tr><td bgcolor=DDDDDD colspan=2><b>Type of Database:</b></td></tr>
<tr><td bgcolor=EEEECC colspan=2>
The Crafty Syntax Gallery was originally created to work with mysql. In the next 
version I am going to make this work with text files and other database
types. 
</td></tr>
<tr><td>Database:</td><td><select name=dbtype>
<option value=mysql <? if ($dbtype == "mysql_options.php"){ print " SELECTED "; } ?> >MySQL </option>
<!-- <option value=MSaccess.php <? if ($dbtype == "MSaccess.php"){ print " SELECTED "; } ?> >Microsoft Access </option>-->
<!-- <option value=txt-db-api.php <? if ($dbtype == "txt-db-api.php"){ print " SELECTED "; } ?> >txt-db-api (simple Flat text files)</option>-->
</select></td></tr>
<tr><td colspan=2><ul>
<table bgcolor=FFFFCC>
<tr><td colspan=2>If <b>MySQL</b> is selected above:</td></tr>
<? if($server == ""){ $server = "localhost"; } ?>
<tr><td>MySQL server:</td><td><input type=text name=server size=20 value="<?= $server ?>" ></td></tr>
<tr><td>MySQL database:</td><td><input type=text name=database size=20 value="<?= $database ?>"></td></tr>
<tr><td>MySQL user:</td><td><input type=text name=datausername size=20 value="<?= $datausername ?>"></td></tr>
<tr><td>MySQL password:</td><td><input type=text name=mypassword size=20 value="<?= $mypassword ?>"></td></tr>
</table>
<br><br>
<table bgcolor=FFFFCC>
<tr><td colspan=2>If <b>txt-db-api (simple Flat text files)</b> is selected above you need to provide a 
full path to the directory where the txt files will be stored. This directory must be writable 
by the web and if you care about security should not be in a web accessable directory. </td></tr>
<tr><td>txt path:</td><td><input type=text name=txtpath size=55 value="<? if($txtpath != ""){ print stripslashes($txtpath); } else { print getcwd(); print "/userimages"; } ?>" ></td></tr>
</table>
</td><tr>

<tr><td bgcolor=DDDDDD colspan=2><b>Type of Image Processor: </b></td></tr>
<tr><td bgcolor=EEEECC colspan=2>
 The Image Processor is what is used to thumbnail, rotate, alter your gallery 
 images. You need to choose <b>ONE</b> Option from below to thumbnail the images:<ol>
 <li><b>netPBM</b>(<font color=007700><b>Recommended</b></font>) - if selected provide the full path to the binaries for 
 jpegtopnm, ppmtogif, etc... <br>
 <a href=http://sourceforge.net/projects/csyntax/ target=_blank>CLICK HERE for Binaries for NetPBM</a><br>
 <a href=http://sourceforge.net/projects/netpbm/ target=_blank>Homepage for NetPBM</a>
 <!--
 <li><b>ImageMagick</b> - if selected provide the path to the binaries for 
 convert.<br>
 <a href=http://sourceforge.net/projects/csyntax/ target=_blank>some Binaries for ImageMagick</a> (not tested)<br>
 <a href=http://sourceforge.net/projects/ImageMagick/ target=_blank>Homepage for ImageMagick</a>
 -->
 <li><b><font color=000077>PHP GD Libraries</font></b> - if selected the gallery will 
 use the PHP GD libraries to thumbnail the images.

 <li><b><font color=990000>no image processing</font></b> - if you select this option you will have 
 to create the thumbnails yourself and do any image proccessing (size, rotate,
 etc..) using something like photoshop on your own computer.

 </ol>
 
</td></tr>
<tr><td>Image Processor: </td><td><select name=Processor>
<option value=GD <? if ($Processor == "GD"){ print " SELECTED "; } ?> >PHP GD libraries </option>
<option value=NetPBM <? if ($Processor == "NetPBM"){ print " SELECTED "; } ?> >netPBM </option>
<option value=IM <? if ($Processor == "IM"){ print " SELECTED "; } ?> >ImageMagick </option>
<!--<option value=none <? if ($Processor == "none"){ print " SELECTED "; } ?> >no image processing</option>-->
</select></td></tr>
<tr><td colspan=2 bgcolor=FFFFCC>If <b>netpbm</b> or <b>ImageMagick</b> is selected above you need 
 to provide the full path to the proccessor.
 for the full path to the processor do not include the last slash in the path .. for example 
 enter in /full/path/www/netpbm not /full/path/www/netpbm/ <br><br>
 <b>Hints:</b><bR>
 Imagemagick tends to be a path like <font color=007700>/usr/X11R6/bin</font><br>
 <font color=990000>Be sure that all of the binary files are executable 
 i.e. chmod 755 </font><br>


</td></tr> 
<tr><td>Full Path to Processor:</td><td><input type=text name=pathtoproccess size=40 value=<?= $pathtoproccess?>></td></tr>

<tr><td bgcolor=DDDDDD colspan=2>
<b>Require User Registration:</b>
</td></tr>
<tr><td bgcolor=EEEECC colspan=2>
 You have the option of having the gallery only allow registered users to 
 log in and see the images. if this is selected to YES then only users 
 with usernames and passwords can access the images.. </td></tr>
<tr><td>Registeration required: </td><td><select name=namepage>
<option value=no <? if ($namepage == "no"){ print " SELECTED "; } ?> >NO </option>
<option value=yes <? if ($namepage == "yes"){ print " SELECTED "; } ?> >YES</option>
</select></td></tr>
<tr><td>Registration options: </td>
<td>
<table>
<tr><td colspan=2><font color=000099>IF <font color=770000>YES</font> for Registeration required then:</font></td></tr>
<tr><td><input type=radio name=allowgallery value=Y CHECKED ></td>
<td><font color=007700><b>Recommended</b></font>I want users to enter in a username/name but they do not need to enter in a password. 
I just want to know the names of the people looking at the gallery. Some accounts that do have
passwords assigned to them by admin will be asked for a password.</td></tr>
<tr><td><input type=radio name=allowgallery value=N></td>
<td>I do not want to allow users to register on their own and will assign the 
    usernames and passwords myself.</td></tr>
<tr><td><input type=radio name=allowgallery value=s></td>
<td>Users can register for access online.</td></tr>
<tr><td><input type=radio name=allowgallery value=A></td>
<td>Users can register for access online and will automaticlly be given a 
    Gallery to add images to. </td></tr>   
</table>
</td></tr>  
</table>


</td></tr>

</table>
<input type=SUBMIT name=action value=INSTALL>
</form>
