<?php
//===========================================================================
//                      Crafty Syntax Image gallery (CSIG)  
//                    http://www.craftysyntax.com/CSIG/ 
//                    Copyright (C) 2003-2004 Eric Gerdes  
//===========================================================================
//         $Id: index.php,v 1.0 2004/04/07 03:17:40 csyntax Exp $
// --------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//===========================================================================

//config file
require_once 'config.php';

// settings for libraries paths PEAR/SMARTY/USER ACCESS.
require_once 'libraries.php';

// connect to database.
require_once 'database_connect.php';

// Begin User Access 
require_once 'ua.begin.php';

require_once "functions.php";

// only thoes with full access can see all photos..
if ($projectid == 1){
  if(!(checkpermissions("FULL",0,$user_id))){ 
     print "No access to view ALL images.. please log in again..";
     exit;
  }
}
//Load the design vars.
$COLORSCHEME[init] = "init";
require "templates/design.php";

if ($speed == ""){ $speed = 6; }
if ($speed == -1){ $stop = 1; }
if($current < 1) { $current = 1; }

if ($top == ""){ $top = 0; }

$query = "SELECT * from gallery_users where username='$username' ";
$rs = $db->query($query);
$data = $rs->fetchRow(DB_FETCHMODE_ASSOC);
$perpage = $data[perpage];
$style = $data[style];
if ($perpage == ""){ $perpage = 15; }
if ($style == ""){ $style = "top"; }
if ($projectid == ""){ $projectid = 1; }

$limitquery = "";
$limitquery_s = "";
$seehidden = "";
$extra2 = "";
$approve_sql = "";
 

if ($projectid > 1){
   $query = "select * from gallery_feature_list where feature_id='$projectid' ";
   $rs = $db->query($query);
   $data = $rs->fetchRow(DB_FETCHMODE_ASSOC);
   $limitquery = " AND feature" . $data[feature_id] . "='Y' ";
   $limitquery_s = " AND gallery_feature_xref.featureid = '" . $data[feature_id] . "' ";    
}

// the limit query
$indexnum = $current - 1;
$limit = " LIMIT $indexnum,1 ";

// can this user see the hidden images.. 
$hasaccess = checkpermissions("READHIDDEN",$projectid,$user_id);
if(!($hasaccess)) { $seehidden = " AND approved='Y' "; }
if ($projectid != "fav"){

    // get the total number of rows for the query...
    if ($dbtype == "txt-db-api.php"){
        $query = "select * from gallery where 1 $seehidden $limitquery order by $sortby DESC";        
     } else {
	$query = "SELECT * FROM gallery,gallery_feature_xref WHERE 1 $seehidden AND gallery.recno=gallery_feature_xref.galleryid $limitquery_s order by date DESC";
     }
     $rs = $db->query($query);
     $total_p = $rs->numrows(); 
     
     
} else if ($projectid == "fav") {	

  $query = "select * from gallery_fav where userid='$myuser' order by inon DESC";
  $rs = $mydatabase->query($query);
  $total_p = $rs->numrows(); 

}

if ($total_p == 0){
print "<bR><br><br><center><table width=500 bgcolor=ffffcc width=500><tr><td align=center><br><br><font color=990000><b>There are no photos in this gallery</b></font><br><br></td></tr></table></center>";		
exit;
}	
		
?>
<sCRIPT LANGUAGE="JavaScript" SRC="client_sniff.js"></SCRIPT>
<script language="JavaScript">

stop_stopstart = new Image;
start_stopstart = new Image;
stop_stopstart.src = '<?= $COLORSCHEME[stopimage] ?>';
start_stopstart.src = '<?= $COLORSCHEME[playimage] ?>';

var timer; 
var current_location = <?= $current ?>;
var next_location = <?= ($current + 1) ?>; 
var prev_location = <?= $total_p ?>;
var pics_loaded = 0;
var onoff = 0;
var direction = 1;
var timeout_value;
var images = new Array;
var photo_urls = new Array;
var photo_captions = new Array;
var transitionNames = new Array;
var transitions = new Array;
var current_transition = 15;
var loop = 0;
<?
function nonewline($what){
  $what = ereg_replace("\r","",$what);
  $what = ereg_replace("\n\r","",$what);
  $what = ereg_replace("\"","",$what);
  $what = ereg_replace("\'","",$what);
  $what = ereg_replace("\n","",$what);
  return $what;   	
}

 for($j=0;$j<$total_p; $j++){
  $image = $rs->fetchRow(DB_FETCHMODE_ASSOC);
  $k = $j + 1;   
  $init1 = substr($image[image],0,1);
  print "photo_urls[$k] = \"userimages/$init1/$image[image]\"; \n";
  print "photo_captions[$k] = \" ". nonewline($image[description]) . "\"; \n";
 }
?>
transitions[0] = "progid:DXImageTransform.Microsoft.Fade(duration=1)";
transitions[1] = "progid:DXImageTransform.Microsoft.Blinds(Duration=1,bands=20)";
transitions[2] = "progid:DXImageTransform.Microsoft.Checkerboard(Duration=1,squaresX=20,squaresY=20)";
transitions[3] = "progid:DXImageTransform.Microsoft.Strips(Duration=1,motion=rightdown)";
transitions[4] = "progid:DXImageTransform.Microsoft.Barn(Duration=1,orientation=vertical)";
transitions[5] = "progid:DXImageTransform.Microsoft.GradientWipe(duration=1)";
transitions[6] = "progid:DXImageTransform.Microsoft.Iris(Duration=1,motion=out)";
transitions[7] = "progid:DXImageTransform.Microsoft.Wheel(Duration=1,spokes=12)";
transitions[8] = "progid:DXImageTransform.Microsoft.Pixelate(maxSquare=10,duration=1)";
transitions[9] = "progid:DXImageTransform.Microsoft.RadialWipe(Duration=1,wipeStyle=clock)";
transitions[10] = "progid:DXImageTransform.Microsoft.RandomBars(Duration=1,orientation=vertical)";
transitions[11] = "progid:DXImageTransform.Microsoft.Slide(Duration=1,slideStyle=push)";
transitions[12] = "progid:DXImageTransform.Microsoft.RandomDissolve(Duration=1,orientation=vertical)";
transitions[13] = "progid:DXImageTransform.Microsoft.Spiral(Duration=1,gridSizeX=40,gridSizeY=40)";
transitions[14] = "progid:DXImageTransform.Microsoft.Stretch(Duration=1,stretchStyle=push)";
transitions[15] = "special case";
var transition_count = 15;
var photo_count = <?= $total_p ?>; 

var slideShowLow = "slides_low.php?projectid=<?= $projectid?>&current=<?=$current?>";

// Browser capabilities detection ---
// - assume only IE4+ and NAV6+ can do image resizing, others redirect to low 
if (is_ie4up || is_nav6up) {
    //-- it's all good ---
} else {
    //-- any other browser we go low-tech ---
    document.location = slideShowLow;
}

// - IE5.5 and up can do the blending transition.
var browserCanBlend = (is_ie5_5up);

function stopOrStart() {
    if (onoff) {
	stop();
    } else {
	play();
    }
}

function toggleLoop() {
    if (loop) {
	loop = 0;
    } else {
	loop = 1;
    }
}

function changeElementText(id, newText) {
    element = document.getElementById(id);
    element.innerHTML = newText;
}

function stop() {

    onoff = 0;
    status = "The slide show is stopped, Click [play] to resume.";
    clearTimeout(timer);
    document.stopstart.src = stop_stopstart.src;
}

function play() {

    onoff = 1;
    status = "Slide show is running...";
    document.stopstart.src = start_stopstart.src;
    go_to_next_photo();
}

function changeDirection() {
    if (direction == 1) {
	direction = -1;
    } else {
	direction = 1;
    }
    preload_next_photo();

}

function change_transition() {
    current_transition = document.galleryslides.transitionType.selectedIndex;
}

function preload_complete() {
}

function reset_timer() {
    clearTimeout(timer);
    if (onoff) {
	timeout_value = document.galleryslides.time.options[document.galleryslides.time.selectedIndex].value * 1000;
	timer = setTimeout('go_to_next_photo()', timeout_value);
    }
}

function wait_for_current_photo() {

    /* Show the current photo */
    if (!show_current_photo()) {

	/*
	 * The current photo isn't loaded yet.  Set a short timer just to wait
	 * until the current photo is loaded.
	 */
	status = "Picture is loading...(" + current_location + " of " + photo_count +
		").  Please Wait..." ;
	clearTimeout(timer);
	timer = setTimeout('wait_for_current_photo()', 500);
	return 0;
    } else {
	status = "Slide show is running...";
	preload_next_photo();
	reset_timer();
    }
}
function go_to_prev_photo(){
     if (onoff == 0){ 
       play();	
       return;
      } 	
   /* Go to the prev location */
    current_location = prev_location;

    /* Show the current photo */
    if (!show_current_photo()) {
	wait_for_current_photo();
	return;
    }

    preload_next_photo();
    reset_timer();
}
function go_to_next_photo() {
     if (onoff == 0){ 
       play();	
       return;
      } 
    /* Go to the next location */
    current_location = next_location;

    /* Show the current photo */
    if (!show_current_photo()) {
	wait_for_current_photo();
	return;
    }

    preload_next_photo();
    reset_timer();
}

function preload_next_photo() {
    
    /* Calculate the new next location */
    next_location = (parseInt(current_location) + parseInt(direction));
    prev_location = (parseInt(current_location) - parseInt(direction));
    if (next_location > photo_count) {
	next_location = 1;
	prev_location = photo_count;
	if (!loop) {
	    stop();
	}
    }
    if (next_location == 0) {
        next_location = photo_count;
        prev_location = 1;		
    }
    
    /* Preload the next photo */
    preload_photo(next_location);
}

function show_current_photo() {

    /*
     * If the current photo is not completely loaded don't display it.
     */
    if (!images[current_location] || !images[current_location].complete) {
	preload_photo(current_location);
	return 0;
    }
    
    /* transistion effects */
    if (browserCanBlend){
	var do_transition;
	if (current_transition == (transition_count)) {
	    do_transition = Math.floor(Math.random() * transition_count);
	} else {
	    do_transition = current_transition;
	}
	document.images.slide.style.filter=transitions[do_transition];
	document.images.slide.filters[0].Apply();
    }
    document.slide.src = images[current_location].src;
    setCaption(photo_captions[current_location]);

    if (browserCanBlend) {
	document.images.slide.filters[0].Play();
    }

    return 1;
}

function preload_photo(index) {

    /* Load the next picture */
    if (pics_loaded < photo_count) {

	/* not all the pics are loaded.  Is the next one loaded? */
	if (!images[index]) {
	    images[index] = new Image;
	    images[index].onLoad = preload_complete();
	    images[index].src = photo_urls[index];
	    pics_loaded++;
	}
    } 
}

function setCaption(text) {
    changeElementText("caption", "<table width=100%><tr><td width=95%>" + text + "</td><td nowrap>[" + current_location + " of " + photo_count + "]</td></tr></table> ");
}

</Script>


<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Slides</title>     
<?
print "<body bgcolor=\"$COLORSCHEME[framebackground]\" background=\"$COLORSCHEME[framebackground]\" marginheight=0 marginwidth=0 topmargin=0 leftmargin=0><center>\n";  
?>
<form name=galleryslides>
<br>
<div align="center">
<table width=1% border=0 cellspacing=0 cellpadding=0>
  <tr bgcolor="black">
    <td colspan=3 height=1><img src="images/blank.gif.gif" width="1" height="1"></td>
  </tr>
  <tr>
    <td bgcolor="black" width=1><img src="images/blank.gif.gif" width="1" height="1"></td>
    <script language="JavaScript">
    document.write("<td><img border=0 src="+photo_urls[<?= $current ?>]+" name=slide></td>");
    </script>
    <td bgcolor="black" width=1><img src="images/blank.gif.gif" width="1" height="1"></td>
  </tr>
  <tr bgcolor="black">
    <td colspan=3 height=1><img src="images/blank.gif.gif" width="1" height="1"></td>
  </tr>
<tr><td colspan=3 bgcolor=FFFFEE>
<SCRIPT>
document.write("<div class='desc' id='caption'></div>");
</SCRIPT>
</td></tr>
</table>

<br>
<?
 if ($stop !=1){
    print "<img src=$COLORSCHEME[playimage] width=155 height=31 border=0 usemap=#control name=stopstart><br>\n";
  } else {
    print "<img src=$COLORSCHEME[stopimage] width=155 height=31 border=0 usemap=#control name=stopstart><br>\n";	
  }
  print "<map name=control>\n";
  $back = $next - 2;
  if($back < 1) { $back = $total_p; }
  print "<area shape=rect coords=\"0,0,42,29\" href=\"javascript:go_to_prev_photo()\">\n";
  print "<area shape=rect coords=\"43,0,75,29\" href=\"javascript:play()\">\n";
  print "<area shape=rect coords=\"76,0,112,29\" href=\"javascript:stop()\">\n";
  print "<area shape=rect coords=\"113,0,154,29\" href=\"javascript:go_to_next_photo()\">\n";
  print "</map>";
 if ($stop != 1){
  print "<font color=990000 size=-1><i>(Please press <b>Stop</b> first before changing the Slide Show Speed)</i></font><br>\n";
 }
  print "<b>Slide Show Speed:</b>";
  ?>
  <select name="time" size=1  onchange="reset_timer()" style="font-size=10px;">
<option value=1 > 1 second
<option value=2 > 2 second
<option value=3 selected> 3 second
<option value=4 > 4 second
<option value=5 > 5 second
<option value=10 > 10 second
<option value=15 > 15 second
<option value=30 > 30 second
<option value=45 > 45 second
<option value=60 > 60 second
</select><br>
    <script language="Javascript">
    /* show the blend select if appropriate */
    if (browserCanBlend) {
	document.write('&nbsp;<b>Transition:</b> <select name="transitionType" size=1  onchange="change_transition()" style="font-size=10px;"> <option value=0> Blend <option value=1 > Blinds <option value=2 > Checkerboard <option value=3 > Diagonal <option value=4 > Doors <option value=5 > Gradient <option value=6 > Iris <option value=7 > Pinwheel <option value=8 > Pixelate <option value=9 > Radial <option value=10 > Rain <option value=11 > Slide <option value=12 > Snow <option value=13 > Spiral <option value=14 > Stretch <option value=15 SELECTED> RANDOM! </select> ');
    }
    
    </script>
  <?
  print "<br>";
  ?>
<script language="Javascript">
/* show the caption */


/* Load the first picture */
setCaption(photo_captions[<?= $current ?>]);
preload_photo(<?= $current ?>);

/* Start the show. */
<? if ($stop !=1){ ?>
play();
<? } ?>
</script>

 

</div>
</form>
 