<?php
//===========================================================================
//                      Crafty Syntax Image gallery (CSIG)  
//                    http://www.craftysyntax.com/CSIG/ 
//                    Copyright (C) 2003-2004 Eric Gerdes  
//===========================================================================
//         $Id: imagelist.php,v 1.0 2004/04/07 03:17:40 csyntax Exp $
// --------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//===========================================================================

//config file
require_once 'config.php';

// settings for libraries paths PEAR/SMARTY/USER ACCESS.
require_once 'libraries.php';

// connect to database.
require_once 'database_connect.php';

// Begin User Access 
require_once 'ua.begin.php';

require("functions.php");



$smarty = new Smarty;

//Load the design vars.
$COLORSCHEME[init] = "init";
require "templates/design.php";

// get the template that we will be showing.
// if no template is selected then use logic.
if($html == ""){ 
  // if the project selected contains children show the menu template 
  // if not show the display template. 
  $query = "SELECT * FROM gallery_feature_list WHERE parentid='$projectid'";
  $rs = $db->query($query);
  if($rs->numrows() == 0){   
    $html = "list.tpl";      
  } else {	
    $html = "default.tpl";        
  }   
}

if( ($usepage != "") && ($page != "")){
$fileused = "$style/$page";
} else {
$fileused = "$style/$html";	
}

// now replace out all of the vars...
//----------------------------------------------------------------
include "common.php";

$limitquery = "";
$limitquery_s = "";
$seehidden = "";
$extra2 = "";
$approve_sql = "";

//thumbnails

$limit = " LIMIT $top,$perpage ";
$extra1 = ",gallery_feature_xref";
// get the query to show the images..
if ($projectid > 1){
   $query = "select * from gallery_feature_list where feature_id='$projectid' ";
   $rs = $db->query($query);
   $data = $rs->fetchRow(DB_FETCHMODE_ASSOC);
   $limitquery = " AND feature" . $data[feature_id] . "='Y' ";
   $limitquery_s = " AND gallery_feature_xref.featureid = '" . $data[feature_id] . "' ";
   $extra2 = "AND gallery.recno=gallery_feature_xref.galleryid"; 
}

// if we are showing an individual gallery.
$approve_sql = " approved!='E' ";

if ($projectid > 1){
 if(!(checkpermissions("READHIDDEN",$projectid,$user_id))){ 
   $approve_sql = " gallery.approved='Y' ";
 }
}

// only thoes with full access can see all photos..
if ($projectid == 1){
  if(!(checkpermissions("READ",0,$user_id))){ 
     print "No access to view ALL images.. please log in again..";
     exit;
  }
}

$conditional = $approve_sql . $extra2 . $limitquery_s;
if($conditional !=""){
	$Whereconditional = " WHERE "; 
 } else { $extra1 = ""; }

if($projectid == 1){
  $query_main = "SELECT * FROM gallery WHERE $approve_sql order by date DESC";
} else { 
  $query_main = "SELECT * FROM gallery $extra1 $Whereconditional $conditional order by date DESC";
 }
$rs = $db->query($query_main);
$total_p = $rs->numrows();

if($projectid == 1){
  $query = "SELECT * FROM gallery WHERE $approve_sql order by date DESC $limit";
} else { 
  $query = "SELECT * FROM gallery $extra1  $Whereconditional $approve_sql $extra2 $limitquery_s order by $sortby DESC $limit";
 }
    

$rs = $db->query($query);
$total = $rs->numrows($data); 
if(checkpermissions("READHIDDEN",$projectid,$user_id)){ 
   $has_hidden = "Y"; } else {$has_hidden = "N";}
if(checkpermissions("APPROVE",$projectid,$user_id)){ 
   $has_approve = true; } else {$has_access = false;}
if(checkpermissions("WRITE",$projectid,$user_id)){ 
   $has_access = true; } else {$has_access = false;}
if(checkpermissions("FULL",$projectid,$user_id)){ 
   $has_full = true; } else {$has_access = false;}
         	


// show all the images.. 
$counting = 0;
for ($i = 1; $i <= $total; $i++){
  $indexnum = $i - 1;
  $myrow = $rs->fetchRow(DB_FETCHMODE_ASSOC); 
  $counting++;

  $init1 = substr($myrow[thumb],0,1);
  $filename = "$dirpath/$init1/$myrow[thumb]";
  if ( (file_exists("$filename")) && (filesize("$filename") > 0) ) {
   $imageInfo = getimagesize($filename); 
   $width = $imageInfo[0]; 
   $height = $imageInfo[1];  	   
   $filename = "$dirpath/$init1/$myrow[thumb]";
   $imageInfo = getimagesize($filename); 
   $thiswidth = $imageInfo[0]; 
   $thiswidth = $thiswidth + 50;   
  } else {
   $width = 90; 
   $height = 75;  	   
   $filename = "userimages/na.gif"; 
   $thiswidth = 90;    	  	
  }
  $c = $counting + $top + 1;
  $maxwid = 100;
  if ($width > 100){ $width = 100; }
        
   $thumbimage = "<img src=$filename border=0 height=75 width=$width></a>";
   
   if( ($has_access) || ($has_hidden == "Y")){ 
      if( ($has_approve) || ($has_access)){ $editoption = "<input type=checkbox name=sel__$myrow[recno] > "; }
   
     if($has_access){  
     	 $editlink = "<a href=imageoptions.php?projectid=$projectid&edit=$myrow[recno]&recno=$myrow[recno] $target>";
         $removelink = "<a href=imageoptions.php?projectid=$projectid&delete=$myrow[recno]  $target>"; }
     }  
   
  $thumbnails_grouped[$indexnum] = array ( 
             'thumbimage'=>$thumbimage,
             'has_access'=>$has_access,
             'has_hidden'=>$has_hidden,
             'editlink'=>$editlink,
             'removelink'=>$removelink,
             'approve_access'=>$approveaccess,
             'approved'=>$myrow[approved],
             'editoption'=>$editoption,
             'indeximage'=>$c
     );	     
  }
$smarty->assign("thumbnails_grouped",$thumbnails_grouped);
$imagecell = $COLORSCHEME['imagecell'];
$smarty->assign("imagecell",$imagecell);

//<showpaging/>
  $maxout = 10;
  if (($perpage == 0) || ($perpage == "")){ $perpage =15; }
  $diff = ($top % $perpage);
  $page = ($top- $diff)/$perpage + 1;
  $start = (($page - ($page % $maxout))/$maxout ) * $maxout;
  $counting = ($start * $perpage) - $perpage;
  if (($total_p % $perpage) == 0){ $diff = 0; } else { $diff = 1; }
  $total = ($total_p  - ($total_p % $perpage))/$perpage + $diff;
  $showpaging = "<table width=620>";
  $showpaging .= "<tr bgcolor=FFFFCC>";
   if ($page != 1){
   $previous = (($page - 2) * $perpage) ;
     $showpaging .= "<td width=1%><table cellpadding=0 cellspacing=0 border=0><tr><td><a href=imagelist.php?html=slide.tpl&projectid=$projectid&top=$previous&whattodo=slide><img src=images/back_s.gif width=20 height=13 border=0></a></td><td><b><a href=imagelist.php?html=slide.tpl&projectid=$projectid&top=$previous&whattodo=slide>Previous</b></a></td></tr></table></td>";
   } else {
   $showpaging .= "<td width=1%>.</td>";	
   }
   $showpaging .= "<td width=98% align=center>";
   $showpaging .= "<font size=-1>Page <b><font color=007700>$page</font></b> of <b><font color=000077>$total</font></b> :</font> ";
        $count = 1;
         $back =  $counting - $perpage;
         if ($back >= 0 ){ 
         	$showpaging .= "<a href=imagelist.php?html=slide.tpl&projectid=$projectid&top=$back&whattodo=slide>Last 10 </a> <font size=+1>|</font> ";       
         }        
        for($i = $start; $i <= $total; $i++){  
         if ($page == $i){
            $showpaging .= " <b>$i</b> <font size=+1>|</font> ";
         } else {        	
            if($i != 0){
             $showpaging .= " <a href=imagelist.php?html=slide.tpl&projectid=$projectid&top=$counting&whattodo=slide>$i</a> <font size=+1>|</font> ";	
            }
         }
         if ($count > 9){ 
         	$counting = $counting + $perpage;
         	$showpaging .= " <a href=imagelist.php?html=slide.tpl&projectid=$projectid&top=$counting&whattodo=slide>next 10 </a>  ";       
                $i = $total;
         }
         $count++;
         $counting = $counting + $perpage;
        }           
   $showpaging .= "</td>";
   if ($page < $total){
    $nextpage = ($page * $perpage) ;
     $showpaging .= "<td width=1%><table cellpadding=0 cellspacing=0 border=0><tr><td><b><a href=imagelist.php?html=slide.tpl&projectid=$projectid&top=$nextpage&whattodo=slide>Next</b></a></td><td><a href=imagelist.php?html=slide.tpl&projectid=$projectid&top=$nextpage&whattodo=slide><img src=images/next_s.gif width=20 height=13 border=0></a></td></tr></table></td>";
   } else {
     $showpaging .= "<td width=1%><b>.</b></td>";    
    }
   $showpaging .= "</tr></table>";
$smarty->assign("showpaging",$showpaging);

// add an image button
if(checkpermissions("WRITE",$projectid,$user_id)){
  $addanimage = "<br><a href=newimage.php?projectid=$projectid><img src=images/uploadnew.gif width=180 height=31 border=0></a>";
}
$smarty->assign("addanimage",$addanimage);

// operations menu
if( ($has_approve) || ($has_access)){	
  $operationsmenu = "
  <SCRIPT>
  function CheckAll()
{
	for (var i=0;i<document.List.elements.length;i++)
	{
		var e = document.List.elements[i];
		if (e.name != 'allbox')
			e.checked = document.List.allbox.checked;
	}
}
  </SCRIPT>
  <br><table bgcolor=FFFFEE><tr><td><b>Multiple Image Operations:</b><br>
  <b>Select ALL</b><input type=hidden name=top value=$top>
  <input type=hidden name=projectid value=$projectid>
  <input name=allbox type=checkbox value=\"Check All\" onClick=\"CheckAll();\">
  <br><select name=myaction Onchange=document.List.submit()>
  <option value=nothing>-- </option><option value=HIDE>HIDE</option><option value=SHOW>SHOW</option>
  ";
if($has_access){  
  $operationsmenu .= "  <option value=move>MOVE</option><option value=remove>DELETE</option>";
}
  $operationsmenu .= "  </select></td></tr></table>";

}

$smarty->assign("operationsmenu",$operationsmenu);

// credit line.
$credit = "Powered by:<br> <a href=http://craftysyntax.com/CSIG/?v=$version target=_blank>Crafty Syntax IG $version</a>";
$smarty->assign("credit",$credit);

// back_image.
$back_image = "";
if($top != 0){
 $back = $top - $perpage;
 $back_image = "<a href=imagemenu.php?projectid=$projectid&top=$back target=_top><img src=$COLORSCHEME[backimage] border=0>";
 $smarty->assign("back_image",$back_image);
}

// next_image.
$nextimage = "";
if( ($top+ $perpage) < $total_p){
 $next = $top + $perpage;
 $next_image = "<a href=imagemenu.php?projectid=$projectid&top=$next target=_top><img src=$COLORSCHEME[nextimage] border=0>";
  $smarty->assign("next_image",$next_image);
}

//current_n
if($indeximage > $total_p){ $current_n = 1; } 
 else {
 $current_n = $indeximage + 1;
 }
$smarty->assign("current_n",$current_n);
//current_b
$current_b = $indeximage - 1;
if($current_b < 1){ $current_b = $total_p; } 
$smarty->assign("current_b",$current_b);

//<currentimage/>
$indexi = $indeximage - 2;
if($indexi < 0){ $indexi = 0; }
$query = $query_main . " Limit $indexi,1 ";

$rs = $db->query($query);
$row = $rs->fetchRow(DB_FETCHMODE_ASSOC);
$currentimage = "";
$init1 = substr($row[image],0,1);
$currentimage = "<img src=userimages/$init1/$row[image] border=0>";
$smarty->assign("currentimage",$currentimage);

//update tracking and visit count for image..
  $USERNAME = $myuser->getval("USERNAME");
  if($REMOTE_ADDR == ""){
    $REMOTE_ADDR = $HTTP_SERVER_VARS["REMOTE_ADDR"]; 
  }
  if($HTTP_USER_AGENT == ""){
    $HTTP_USER_AGENT = $HTTP_SERVER_VARS["HTTP_USER_AGENT"]; 
  }
  $identity = $REMOTE_ADDR . $HTTP_USER_AGENT;
  $referer = $HTTP_REFERER;
  $whenin = date("YmdHi");
if( ($logusers) && ($whattodo == "info")){
  $query = "INSERT INTO gallery_visit (username,whenin,whoare,wherefrom,galleryid,imageid) VALUES ('$USERNAME','$whenin','$identity','$referer','$projectid','$row[recno]') ";
  $db->query($query);    
}

if( ($logusers) && ($whattodo == "slide")){
  $query = "INSERT INTO gallery_visit (username,whenin,whoare,wherefrom,galleryid,imageid,notes) VALUES ('$USERNAME','$whenin','$identity','$referer','$projectid','$row[recno]',' View thumbnails page $page') ";
  $db->query($query);    
}


// <imagedate/>
$imagedate = substr($row[date],4,2) . "-" . substr($row[date],6,2) . "-" . substr($row[date],0,4);
$smarty->assign("imagedate",$imagedate);

//description
$smarty->assign("description",$row[description]);

//originalfilename
$smarty->assign("originalfilename",$row[originalfilename]);

//imageviews
$smarty->assign("imageviews",$row[imageviews]);


$smarty->display($fileused);

?>