<?php
//===========================================================================
//                      Crafty Syntax Image gallery (CSIG)  
//                    http://www.craftysyntax.com/CSIG/ 
//                    Copyright (C) 2003-2004 Eric Gerdes  
//===========================================================================
//         $Id: index.php,v 1.0 2004/04/07 03:17:40 csyntax Exp $
// --------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//===========================================================================

//config file
require_once 'config.php';

// settings for libraries paths PEAR/SMARTY/USER ACCESS.
require_once 'libraries.php';

// connect to database.
require_once 'database_connect.php';

// Begin User Access 
require_once 'ua.begin.php';

require_once "functions.php";
 

$limitquery = "";
$limitquery_s = "";
$seehidden = "";
$extra2 = "";
$approve_sql = "";

// only thoes with full access can see all photos..
if ( ($projectid == 1) || ($projectid == 0)){
  if(!(checkpermissions("FULL",0,$user_id))){ 
     print "No access to view ALL images.. please log in again..";
     exit;
  }
}
//Load the design vars.
$COLORSCHEME[init] = "init";
require "templates/design.php";

if ($speed == ""){ $speed = 6; }
if ($speed == -1){ $stop = 1; }
if($current < 1) { $current = 1; }
if ($top == ""){ $top = 0; }

$query = "SELECT * from gallery_users where username='$username' ";
$rs = $db->query($query);
$data = $rs->fetchRow(DB_FETCHMODE_ASSOC);
$perpage = $data[perpage];
$style = $data[style];

if ($perpage == ""){ $perpage = 15; }
if ($style == ""){ $style = "top"; }
if ($projectid == ""){ $projectid = 1; }

if ($projectid > 1){
   $query = "select * from gallery_feature_list where feature_id='$projectid' ";
   $rs = $db->query($query);
   $data = $rs->fetchRow(DB_FETCHMODE_ASSOC);
   $limitquery = " AND feature" . $data[feature_id] . "='Y' ";
   $limitquery_s = " AND gallery_feature_xref.featureid = '" . $data[feature_id] . "' ";    
}

// the limit query
$indexnum = $current - 1;
$limit = " LIMIT $indexnum,1 ";

// can this user see the hidden images.. 
$hasaccess = $myuser->has_access("F",$projectid);

if(!($hasaccess)) { $seehidden = " AND approved='Y' "; }
if ($projectid != "fav"){

    // get the total number of rows for the query...
    if ($dbtype == "txt-db-api.php"){
        $query = "select * from gallery where 1 $seehidden $limitquery order by $sortby DESC";        
     } else {
	$query = "SELECT * FROM gallery,gallery_feature_xref WHERE 1 $seehidden AND gallery.recno=gallery_feature_xref.galleryid $limitquery_s order by date DESC";
     }
     $rs = $db->query($query);
     $total_p = $rs->numrows(); 
     
    // get the selected image.
    if ($dbtype == "txt-db-api.php"){
        $query = "select * from gallery where approved='Y' $limitquery order by $sortby DESC $limit ";        
     } else {
	$query = "SELECT * FROM gallery,gallery_feature_xref WHERE approved='Y' AND gallery.recno=gallery_feature_xref.galleryid $limitquery_s order by date DESC $limit";
     }
     $rs = $db->query($query);
     $myrow = $rs->fetchRow(DB_FETCHMODE_ASSOC);
     $total_p = $rs->numrows(); 
     
} else if ($projectid == "fav") {	

  $query = "select * from gallery_fav where userid='$myuser' order by inon DESC";
  $rs = $db->query($query);
  $total_p = $rs->numrows(); 

  $query = "select * from gallery_fav where userid='$myuser' order by inon DESC $limit";
  $rs = $db->query($query);
  $myrow = $rs->fetchRow(DB_FETCHMODE_ASSOC);

}

if ($total_p == 0){
print "<bR><br><br><center><table width=500 bgcolor=ffffcc width=500><tr><td align=center><br><br><font color=990000><b>There are no photos in this gallery</b></font><br><br></td></tr></table></center>";		
exit;
}	
		
  if ($projectid == "fav"){
   $query = "SELECT * from gallery where recno='$myrow[galleryid]' ";
   $rs = $db->query($query);
   $myrow = $rs->fetchRow(DB_FETCHMODE_ASSOC);
 }    
   $imageviews = $myrow[imageviews] + 1; 
   $query = "UPDATE gallery set imageviews='$imageviews' where recno='$myrow[recno]' ";
   $db->query($query); 
  $init1 = substr($myrow[image],0,1);  
  print "<html><head><title> Slide Show $current of $total_p </title></head> \n";
  print "<script>";
  print "function openwindow(theURL,winName,features) {//v1.0 \n";
  print "win2 = window.open(theURL,winName,features); \n";
  print "window.win2.focus(); \n";
  print "}\n \n";
  if ($myrow[width] == 0){ $width= 550; } else { $width =  $myrow[width] + 25; }
  if ($myrow[height] == 0){ $height= 400; } else { $height =  $myrow[height] + 30; } 
  if ($height > 400){ $height = 400; }
  if ($width > 550){ $width = 550; }   
$height = $height + 20;

  $pagename = "image" . $current;
  
  print "</script>";
  if($current != $total_p){ $next = $current + 1;
  } else { $next = 1; }
  if($stop != 1){
    print "<META HTTP-EQUIV=Refresh CONTENT=\"$speed; URL=slides_low.php?current=$next&projectid=$projectid&speed=$speed\"> ";
  }
  ?>
  <SCRIPT LANGUAGE="JavaScript" SRC="client_sniff.js"></SCRIPT>
  <SCRIPT>
  // Browser capabilities detection ---
// - assume only IE4+ and NAV6+ can do image resizing, others redirect to low 
if (is_ie4up || is_nav6up) {
   //-- any other browser we go high-tech ---
    document.location.replace("slides.php?projectid=<?= $projectid?>&current=<?=$current?>&stop=<?=$stop?>");
} 
</SCRIPT>
  <?
  
  print "<body background=\"$COLORSCHEME[framebackground]\" marginheight=0 marginwidth=0 topmargin=0 leftmargin=0><center>\n";  
  $filename = "$dirpath/$init1/$myrow[image]";
  $imageInfo = getimagesize($filename); 
  $thiswidth = $imageInfo[0]; 
  $bgcolordes = "bgcolor=FFFFFF";
  print "<img src=userimages/$init1/$myrow[image] border=0><br>";
  
  print "<table $bgcolordes width=$thiswidth cellpadding=1 cellspacing=1><tr>";
 if($myrow[date] > 20010601){
  print "<td width=99%>&nbsp;</td><td width=1%><img src=blank width=100 height=1><br><i>" . substr($myrow[date],4,2) . "-" . substr($myrow[date],6,2) . "-" . substr($myrow[date],0,4) . "</i>";
  print " </td></tr>";
}
  print "<td align=center colspan=2>";
  print "<font color=373B2E><b>$myrow[description]</b></font>";
  print "</td></tr></table>";	

  if ($myrow[high_res] != ""){
  print "<br><a href=userimages/$init1/$myrow[high_res] target=_blank><img src=images/print.gif width=27 height=16 border=0>Click here to View this image in <font color=990000>HIGH RESOLUTION</font> (for printing)</a><br>";
  }
  
 
  print "\n<FORM action=slides_low.php METHOD=POST name=galleryslides>\n";
  print "<input type=hidden name=current value=$next>\n";
  print "<input type=hidden name=projectid value=$projectid>\n";
  if ($stop !=1){
    print "<img src=$COLORSCHEME[playimage] width=155 height=31 border=0 usemap=#control><br>\n";
  } else {
    print "<img src=$COLORSCHEME[stopimage] width=155 height=31 border=0 usemap=#control><br>\n";	
  }
  print "<map name=control>\n";
  $back = $next - 2;
  if($back < 1) { $back = $total_p; }
  print "<area shape=rect coords=\"0,0,42,29\" href=\"slides_low.php?current=$back&projectid=$projectid&speed=$speed&stop=$stop\">\n";
  print "<area shape=rect coords=\"43,0,75,29\" href=\"slides_low.php?current=$current&projectid=$projectid&speed=$speed\">\n";
  print "<area shape=rect coords=\"76,0,112,29\" href=\"slides_low.php?current=$current&projectid=$projectid&speed=$speed&stop=1\">\n";
  print "<area shape=rect coords=\"113,0,154,29\" href=\"slides_low.php?current=$next&projectid=$projectid&speed=$speed&stop=$stop\">\n";
  print "</map>";
 if ($stop != 1){
  print "<font color=990000 size=-1><i>(Please press <b>Stop</b> first before changing the Slide Show Speed)</i></font><br>\n";
 }
  print "<b>Slide Show Speed:</b><select name=speed onchange=document.galleryslides.submit();>\n";
  print "<option value=1";
  if (($speed == 1) && ($stop != 1)) { print " SELECTED "; }
  print ">Really Fast</option>";
  print "<option value=3";
  if (($speed == 3) && ($stop != 1)){ print " SELECTED "; }
  print ">Fast</option>";
  print "<option value=6";
  if (($speed == 6) && ($stop != 1)){ print " SELECTED "; }
  print ">Medium</option>"; 
  print "<option value=12";
  if (($speed == 12) && ($stop != 1)){ print " SELECTED "; }
  print ">Slow</option>";  
  print "<option value=24";
  if (($speed == 24) && ($stop != 1)){ print " SELECTED "; }
  print ">Really Slow</option>";      
  print "<option value=-1";
  if ($stop == 1){ print " SELECTED "; }
  print "> STOP - no speed</option>";  
  print "</select>";
  print "<br>";
?>
<?
  print "<br><br><br><br><br><br>";
